Creates a new referral connection request to another adviser using their referral code. Run in API Explorer
Ask AI
An email notification will be sent to the recipient with accept/deny links.
POST
/api/v1/referral-connections
curl \
--request POST 'https://api.plannrcrm.com/api/v1/referral-connections' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"adviser_key": "ABC12345"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"adviser_key": "ABC12345"
}
Response examples (200)
{
"uuid": "2769cc0d-7506-4b40-98f6-d5dd3249b381",
"direction": "sent",
"status": "pending",
"sender_firm": {
"uuid": "abc-123",
"name": "Sender Firm Name"
},
"recipient_firm": {
"uuid": "def-456",
"name": "Recipient Firm Name"
},
"sender_account": {
"uuid": "858c0649-8fda-45b1-bbb0-723427a099e6",
"created_at": "2026-10-30T16:30:04+00:00",
"updated_at": "2026-10-30T16:30:04+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "239840c7-476b-43a0-b194-d63787e8cb83",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"recipient_account": {
"uuid": "75ccf663-380b-4bd7-9f26-d641a4e0a61c",
"created_at": "2026-10-30T16:30:04+00:00",
"updated_at": "2026-10-30T16:30:04+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "239840c7-476b-43a0-b194-d63787e8cb83",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"created_at": "2026-10-30T16:30:04+00:00",
"updated_at": "2026-10-30T16:30:04+00:00",
"expires_at": "2026-11-29T16:30:04+00:00"
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}